<?php

include('database.php');

if (isset($_POST['email'])) {
    // Get email from POST request
    $email = $_POST['email'];

    // Sanitize the input data to prevent SQL injection
    $email = mysqli_real_escape_string($conn, $email);

    // Retrieve user_id from users table based on email
    $user_id_query = "SELECT id FROM users WHERE email = '$email'";
    $user_id_result = mysqli_query($conn, $user_id_query);

    if ($user_id_result) {
        $user_id_row = mysqli_fetch_assoc($user_id_result);
        $user_id = $user_id_row['id'];

        // Get transactions for the user
        $get_transactions_query = "SELECT * FROM transactions WHERE user_id = '$user_id' ORDER BY id DESC";
        $transactions_result = mysqli_query($conn, $get_transactions_query);

        $transactions = array();

        while ($transaction_row = mysqli_fetch_assoc($transactions_result)) {
            // Store each transaction in the array
            $transactions[] = array(
                "id" => $transaction_row['id'],
                "user_id" => $transaction_row['user_id'],
                "title" => $transaction_row['title'],
                "coin" => $transaction_row['coin'],
                "type" => $transaction_row['type'],
                "date" => $transaction_row['date']
            );
        }

        if (count($transactions) > 0) {
            // Return success response with transactions in JSON format
            $response_data = array(
                "status" => "success",
                "transactions" => $transactions
            );
            echo json_encode($response_data);
        } else {
            // Return error response to the app
            $response_data = array(
                "status" => "error",
                "message" => "No transactions found for the user"
            );
            echo json_encode($response_data);
        }
    } else {
        // Return error response to the app
        $response_data = array(
            "status" => "error",
            "message" => "User not found"
        );
        echo json_encode($response_data);
    }
}

mysqli_close($conn);
?>
