<?php
// Include database.php file
require_once 'database.php';

// Check if email is provided via POST method
if (isset($_POST['email'])) {
    // Get email value
    $email = $_POST['email'];

    // Retrieve user data from the users table based on email
    $query = "SELECT id, name, dp_url, email, wallet, refer_id, refer_by, onesignal_id 
              FROM users 
              WHERE email = '$email'";

    $result = $conn->query($query);

    if ($result->num_rows > 0) {
        // User data found, fetch user data
        $userData = $result->fetch_assoc();

        // Get user ID
        $userId = $userData['id'];

        // Retrieve user task completed count from the history table
        $taskCompletedQuery = "SELECT COUNT(*) AS task_completed_count
                               FROM history
                               WHERE user_id = $userId AND camp_status = 'true'";

        $taskCompletedResult = $conn->query($taskCompletedQuery);
        $taskCompletedData = $taskCompletedResult->fetch_assoc();
        $taskCompletedCount = $taskCompletedData['task_completed_count'];

        // Check if user has collected the welcome reward
        $welcomeRewardQuery = "SELECT COUNT(*) AS welcome_reward_count
                               FROM rewards
                               WHERE user_id = $userId AND task_name = 'Collecting Welcome Bonus'";

        $welcomeRewardResult = $conn->query($welcomeRewardQuery);
        $welcomeRewardData = $welcomeRewardResult->fetch_assoc();
        $isWelcomeRewardCollected = $welcomeRewardData['welcome_reward_count'] > 0;

        // Check if user has collected the one_task reward
        $oneTaskRewardQuery = "SELECT COUNT(*) AS one_task_reward_count
                               FROM rewards
                               WHERE user_id = $userId AND task_name = 'Collecting 1 Task Reward'";

        $oneTaskRewardResult = $conn->query($oneTaskRewardQuery);
        $oneTaskRewardData = $oneTaskRewardResult->fetch_assoc();
        $isOneTaskRewardCollected = $oneTaskRewardData['one_task_reward_count'] > 0;

        // Check if user has collected the five_task reward
        $fiveTaskRewardQuery = "SELECT COUNT(*) AS five_task_reward_count
                                FROM rewards
                                WHERE user_id = $userId AND task_name = 'Collecting 5 Task Reward'";

        $fiveTaskRewardResult = $conn->query($fiveTaskRewardQuery);
        $fiveTaskRewardData = $fiveTaskRewardResult->fetch_assoc();
        $isFiveTaskRewardCollected = $fiveTaskRewardData['five_task_reward_count'] > 0;

        // Retrieve admin values from the admin table
        $adminQuery = "SELECT min_task, daily_coin, welcome_coin, one_task_coin, five_task_coin
                       FROM admin
                       WHERE id = 1";

        $adminResult = $conn->query($adminQuery);
        $adminData = $adminResult->fetch_assoc();

        // Merge user data and additional information into a single response array
        $response = [
            'status' => 'success',
            'message' => 'User data retrieved successfully',
            'user_data' => $userData,
            'task_completed_count' => $taskCompletedCount,
            'admin_values' => $adminData,
            'welcome' => $isWelcomeRewardCollected ? 'collected' : 'not collected',
            'one_task' => $isOneTaskRewardCollected ? 'collected' : 'not collected',
            'five_task' => $isFiveTaskRewardCollected ? 'collected' : 'not collected'
        ];
    } else {
        // User not found with the provided email
        $response = [
            'status' => 'error',
            'message' => 'User not found'
        ];
    }
} else {
    // Required parameter not provided
    $response = [
        'status' => 'error',
        'message' => 'Invalid request'
    ];
}

// Convert the response to JSON and output it
echo json_encode($response);
?>
