<?php

// Include database.php file
require_once 'database.php';

// Retrieve data from the redeem table
$query = "SELECT id, payout_mode, coin, payout_amount, payout_logo, currency_sign, payout_desc 
          FROM redeem";

$result = $conn->query($query);

if ($result->num_rows > 0) {
    // Data found, fetch all the details
    $data = [];
    while ($row = $result->fetch_assoc()) {
        $data[] = [
            'id' => $row['id'],
            'payout_mode' => $row['payout_mode'],
            'coin' => $row['coin'],
            'payout_amount' => $row['payout_amount'],
            'payout_logo' => $row['payout_logo'],
            'currency_sign' => $row['currency_sign'],
            'payout_desc' => $row['payout_desc'],
        ];
    }
    
    $response = [
        'status' => 'success',
        'message' => 'Data retrieved successfully',
        'data' => $data
    ];
} else {
    // No data found
    $response = [
        'status' => 'error',
        'message' => 'No data found in the redeem table'
    ];
}

// Convert the response to JSON and output it
echo json_encode($response);

?>
